/**
 * KAZI ALCHI checkbox method
 **/

KAZI.alchi.switch = {    
    //Public Config Variables
    loaderDiv: "switchery",
    
    //Getters & Setters
    setLoaderDiv: function(d) {
          this.loaderDiv = d;
    },
    
    //Public Functions
    // show: function() {
    // 	// $('.' + this.loaderDiv).iCheck({
    //   $('input[type="checkbox"]').iCheck({
    //       checkboxClass: 'icheckbox_square-green',
    //       radioClass: 'iradio_square-green',
    //   });
    // },
    // hide: function() { $('.' + this.loaderDiv).hide(); } 

    init: function() {
      //for those page in which show() has been disabled
      var elems = $('.' + this.loaderDiv);
      for (var i = 0; i < elems.length; i++) {
        var switchery = new Switchery(elems[i]);
      }
    },
};